<?php
session_start();
require("../../database/dbConection.php");

$opcaoFiltroCota              = $_POST['opcaoFiltroCota'];

switch ($opcaoFiltroCota) {

  case "pegar-tetoalocado":
    $itemPtocedimentoSelecionado  = $_POST['itemPtocedimentoSelecionado'];
    $idProcedimentoGrupo          = $_POST['idProcedimentoGrupo'];
    $whereProcedimentoGrupo = $itemPtocedimentoSelecionado == "GRUPO" ? "id_grupo_procedimento" : "id_procedimento";    
    $idUnidade              = $_POST['idUnidade'];
    $sqlTeto = "SELECT IFNULL(SUM(quantidade_programada), 0) AS totalFisicoProgramado,
    IFNULL(SUM(valor_programado),0) AS totalFinanceiroProgramado,    
    reg_tb_tetounidade.tipo_apuracao
    FROM reg_tb_tetounidade
    WHERE ($whereProcedimentoGrupo='$idProcedimentoGrupo')
    AND (codigoestabelecimento_cnes='$idUnidade')";
    $stmTeto  = $rsConexao->prepare($sqlTeto);
    $stmTeto  ->execute();
    $rsTeto   = $stmTeto->fetch(PDO::FETCH_OBJ);
    
    $sqlCotaUsada = "SELECT IFNULL(SUM(cota_quantidade), 0) AS quantidadeCotaUsada,
    IFNULL(SUM(cota_valor),0) AS valorCotaUsada
    FROM reg_tb_cotas
    WHERE ($whereProcedimentoGrupo='$idProcedimentoGrupo')
    AND (estabelecimento_executante='$idUnidade')";
    $stmCotaUsada = $rsConexao->prepare($sqlCotaUsada);
    $stmCotaUsada ->execute();
    $rsCotaUsada  = $stmCotaUsada->fetch(PDO::FETCH_OBJ);
    $quantidadeCotaUsada  = $rsCotaUsada->quantidadeCotaUsada;
    $valorCotaUsada       = $rsCotaUsada->valorCotaUsada;

    if($rsTeto->tipo_apuracao=="fisico"){
      $resultadoRetorno = $rsTeto->tipo_apuracao."##".($rsTeto->totalFisicoProgramado-$quantidadeCotaUsada)." / ".$rsTeto->totalFisicoProgramado;
    }else{
      $resultadoRetorno = $rsTeto->tipo_apuracao."##".number_format($rsTeto->totalFinanceiroProgramado-$valorCotaUsada)." / " . number_format($rsTeto->totalFinanceiroProgramado,2,',','.');
    }

    echo $resultadoRetorno;
    break;

  case "pegar-cotascadastrada":
    $idUnidade = $_POST['idUnidade'];
    $sqlCotaCadastrada = "SELECT reg_tb_cotas.id_registrocota,
    reg_tb_procedimento.nome_procedimento,
    reg_tb_procedimento_grupo.nome_grupo_procedimento,
    ucase(tb_estabelecimento.nfantasia_estabelecimento) AS unidadeExecutante,
    format(reg_tb_cotas.cota_percentual, 1, 'de_DE') AS percentualCota,
    reg_tb_cotas.cota_quantidade,
    ucase(reg_tb_cotas.cota_tipoanalise) AS tipoAnalise
    FROM reg_tb_cotas
    INNER JOIN tb_estabelecimento ON (reg_tb_cotas.estabelecimento_executante = tb_estabelecimento.codigoestabelecimento_cnes)
    LEFT OUTER JOIN reg_tb_procedimento_grupo ON (reg_tb_cotas.id_grupo_procedimento = reg_tb_procedimento_grupo.id_grupo_procedimento)
    LEFT OUTER JOIN reg_tb_procedimento ON (reg_tb_cotas.id_procedimento = reg_tb_procedimento.id_procedimento)
    WHERE estabelecimento_solicitante='$idUnidade'";
    $stmCotaCadastrada  = $rsConexao->prepare($sqlCotaCadastrada);
    $stmCotaCadastrada  ->execute();
    if($stmCotaCadastrada->rowCount()>0){
      $rsCotaCadastrada = $stmCotaCadastrada->fetchAll(PDO::FETCH_ASSOC);
      
      foreach($rsCotaCadastrada AS $fieldCota){
        $idCota = $fieldCota['id_registrocota'];
        $grupoPorcedimento  = $fieldCota['nome_procedimento']!="" ? $fieldCota['nome_procedimento'] : $fieldCota['nome_grupo_procedimento'];
        $unidadeExecutante  = $fieldCota['unidadeExecutante'];
        $percentualCota     = $fieldCota['percentualCota'];
        $quantidadeCota     = $fieldCota['cota_quantidade'];
        $tipoAnalise        = $fieldCota['tipoAnalise'];

        # -- editar cota --# 
        $linkEditarCota   = '"editarCota(' . "'$idCota')" . '"';
        # -- excluir cota --# 
        $linkExcluirCota  = '"excluirCota(' . "'$idCota','$idUnidade')" . '"';
        echo "<tr>
          <td align='center'>
            <i class='icofont icofont-edit nova_fonte' title='Editar registro de teto.'  onclick=$linkEditarCota></i>&nbsp;
            <i class='icofont icofont-close-squared nova_fonte_delete' title='Excluir registro de cota.'  onclick=$linkExcluirCota></i>
          </td>
          <td>$grupoPorcedimento</td>
          <td>$unidadeExecutante</td>
          <td align='right'>$percentualCota</td>
          <td align='center'>$quantidadeCota</td>
          <td>$tipoAnalise</td>
        </tr>";
      }
    }
    break;
}
